jsgf_rule_s Struct Reference

## Data Fields

int | refcnt
| Reference count.
char * | name
| Rule name (NULL for an alternation/grouping).
int | is_public
| Is this rule marked 'public'?
jsgf_rhs_t * | rhs
| Expansion.

## Detailed Description

Definition at line 98 of file jsgf_internal.h.

## Field Documentation

## is_public

int jsgf_rule_s::is_public

Is this rule marked 'public'?

Definition at line 101 of file jsgf_internal.h.

Referenced by jsgf_rule_public().

## name

char* jsgf_rule_s::name

Rule name (NULL for an alternation/grouping).

Definition at line 100 of file jsgf_internal.h.

Referenced by jsgf_rule_name().

## refcnt

int jsgf_rule_s::refcnt

Reference count.

Definition at line 99 of file jsgf_internal.h.

## rhs

jsgf_rhs_t* jsgf_rule_s::rhs

Expansion.

Definition at line 102 of file jsgf_internal.h.

The documentation for this struct was generated from the following file:

- src/libsphinxbase/lm/jsgf_internal.h